Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451657 - Missing examples
Summary: Missing examples
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: diveintopython
Version: 19
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Devrim Gündüz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-16 14:46 UTC by Martin Nagy
Modified: 2016-07-26 23:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 11:57:36 UTC


Attachments (Terms of Use)

Description Martin Nagy 2008-06-16 14:46:40 UTC
Description of problem:
It would be nice if the package also contained the examples.

Version-Release number of selected component (if applicable):
diveintopython-pdf-5.4-12.fc9.noarch

How reproducible:
See the files that are provided by diveintopython-pdf

Steps to Reproduce:
1. rpm -ql diveintopython-pdf
  
Actual results:
/usr/share/applications/fedora-diveintopython.desktop
/usr/share/doc/diveintopython-5.4/pdf
/usr/share/doc/diveintopython-5.4/pdf/diveintopython.pdf

Expected results:
Some examples from the website that are mentioned in the book.

Additional info:
As stated in the book, the examples are available here:
http://diveintopython.org/download/diveintopython-examples-5.4.zip

Comment 1 Bug Zapper 2009-06-10 01:39:00 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Martin Nagy 2009-06-10 06:08:20 UTC
Still applicable.

Comment 3 Bug Zapper 2009-11-16 08:08:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora Admin XMLRPC Client 2010-05-13 16:43:30 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Julian Aloofi 2010-05-20 13:45:54 UTC
I would not have a problem with adding the examples, but I'm asking myself how much this would really benefit users/readers?

As you said, the website is given in the book, and I'm not sure whether we need to supply these examples via the "Fedora infrastructure" when they're available online anyway and so prominently mentioned in the book.

I also don't think it would be obvious for the majority of users that they can find the examples in /usr/share/doc/diveintopython/examples/.

Of course, you're allowed to convince me of the contrary :)

Comment 6 Susi Lehtola 2010-05-29 08:43:05 UTC
If we're shipping the book, IMHO we should ship its examples, as well. And I find the location of the examples extremely logical.

Comment 7 Julian Aloofi 2010-05-29 10:10:44 UTC
Okay, I'll add the examples soon then.
I think it may be a good idea then to install them by default along with the PDF version when just installing the diveintopython package.

Comment 8 Susi Lehtola 2010-05-29 10:34:14 UTC
I would suggest putting the examples in a -examples package, and make the pdf, html, single-html and txt packages depend on it.

Comment 9 Julian Aloofi 2010-05-29 16:06:13 UTC
Yes, the -examples package was my intention as well, but I generally don't feel good about adding dependencies which aren't really required :/
My original plan was to let only the diveintopython main package require the examples, and let users who explicitly install other versions add the examples as they need them.
But as the examples are pretty small, I guess I'll just let all the packages depend on it like you suggested.

Comment 11 Bug Zapper 2010-11-04 11:52:34 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Susi Lehtola 2010-11-04 12:28:54 UTC
Ping?

Comment 13 Julian Aloofi 2010-11-04 14:24:49 UTC
Woah, sorry, forgot about this, as I'm not maintaining the package anymore. Re-assigning to the new owner.

Comment 14 Fedora End Of Life 2013-04-03 20:02:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 15 Fedora End Of Life 2015-01-09 21:37:04 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2015-02-18 11:57:36 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.